Subject: bug#24669: 25.1; Cannot display images

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Oct 2016 09:39:38 +0300

> Date: Tue, 11 Oct 2016 14:56:04 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> emacs -Q
> 
> Try to visit an image file (e.g. foo.png).
> 
> I get this:
> 
>   Type C-c C-c to view the image as an image.
>   Cannot display image: (Invalid image specification)
> 
> I do not have any such problem with Emacs 25 development builds such as
> this one:
> 
> In GNU Emacs 25.1.50.1 (i686-pc-mingw32)
>  of 2015-12-10

What do you get with that version?  I get a different error message,
which is more confusing, something about missing map.  AFAIK, Emacs
always behaved this way, since the day "C-x C-f" started supporting
visiting image files automatically.